Class Fox::FXTooltip

In: | FXTooltip.rb
Parent: | FXShell

Hopefully Helpful Hint message

### Tooltip styles

`TOOLTIP_PERMANENT`: | Tooltip stays up indefinitely
`TOOLTIP_VARIABLE`: | Tooltip stays up variable time, depending on the length of the string

`TOOLTIP_NORMAL`::

### Message identifiers

`ID_TIP_SHOW`: | Show it
`ID_TIP_HIDE`: | Hide it

Methods

new

Attributes

font | [RW] | Tooltip text font [String]
text | [RW] | Tooltip text [String]
textColor | [RW] | Tooltip text color [FXColor]

Public Class methods

new(app, opts=TOOLTIP_NORMAL, x=0, y=0, width=0, height=0) {|theTooltip| ...}

Construct a tool tip